<template>
  <div class="pb-5">
    <transition name="fade">
      <b-navbar
        toggleable="lg"
        type="dark"
        variant="primary"
        fixed="top"
        class="shadow -lg navbackground"
      >
        <b-navbar-brand href="#"><img
            src="../assets/navlogo.png"
            alt="quoty"
          >Quoty</b-navbar-brand>
        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
        <b-collapse
          id="nav-collapse"
          is-nav
        >
          <b-navbar-nav>
            <b-nav-item class="white-text">
              <router-link
                tag="li"
                :to="{name: 'home'}"
                class="navitems"
              >Home</router-link>
            </b-nav-item>
            <b-nav-item>
              <router-link
                tag="li"
                :to="{name: 'categories'}"
                class="navitems"
              >Categories</router-link>
            </b-nav-item>
            <b-nav-item>
              <router-link
                tag="li"
                :to="{name: 'randomizer'}"
                class="navitems"
              >Random</router-link>
            </b-nav-item>
          </b-navbar-nav>
          <b-navbar-nav class="ml-auto">
            <b-nav-form class="iconstyles">
              <a
                class="linkstyle"
                href="https://www.facebook.com/thomas.vanleynseele.9"
              >
                <font-awesome-icon
                  class="icons"
                  :icon="['fab', 'facebook-f']"
                /></a>
              <a
                class="linkstyle"
                href="https://www.linkedin.com/in/thomas-v-19b594131/"
              >
                <font-awesome-icon
                  class="icons"
                  :icon="['fab', 'linkedin-in']"
                /></a>
            </b-nav-form>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
    </transition>
  </div>
</template>

<script lang="ts">
// eslint-disable-next-line semi
import Vue from 'vue';

export default Vue.extend({
  name: 'Navbar',
  props: {},
  methods: {
    goToFacebook() {}
  }
})
</script>

<style scoped>
.navbackground {
  background-color: #557a95 !important;
}
.navitems {
  text-decoration-style: initial;
  color: white;
}
.icons {
  color: white;
  font-size: 1.7em;
  margin-left: 10px;
}
nav a:hover,
li:hover {
  background-color: #ffa366;
  color: white !important;
  border-radius: 5px;
  transition: 0.4s;
}
nav li.router-link-active {
  color: #ffa366;
}
nav li.router-link-exact-active {
  border-radius: 5px;
}
.iconstyles:hover,
.linkstyle:hover {
  background-color: transparent;
}
</style>
